org.apache.synapse.transport.util

## Class PassThroughMessageHandler

- java.lang.Object
- - org.apache.synapse.transport.util.PassThroughMessageHandler

- All Implemented Interfaces:
    MessageHandler

      public class PassThroughMessageHandler
      extends java.lang.Object
      implements MessageHandler

  Message handler to handle the messages coming through Pass-Through transport.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PassThroughMessageHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildMessage(org.apache.axis2.context.MessageContext messageContext)`
    `void` | `buildMessage(org.apache.axis2.context.MessageContext messageContext, boolean earlyBuild)`
    `java.io.InputStream` | `getMessageDataStream(org.apache.axis2.context.MessageContext context)`
    `boolean` | `isMessageBiggerThanBuffer(java.nio.channels.ReadableByteChannel src, java.nio.channels.WritableByteChannel dest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PassThroughMessageHandler

          public PassThroughMessageHandler()

  - ### Method Detail

    - #### getMessageDataStream

          public java.io.InputStream getMessageDataStream(org.apache.axis2.context.MessageContext context)
                                                   throws java.io.IOException

      Specified by:
        `getMessageDataStream` in interface `MessageHandler`
      Throws:
        `java.io.IOException`

    - #### buildMessage

          public void buildMessage(org.apache.axis2.context.MessageContext messageContext)
                            throws javax.xml.stream.XMLStreamException,
                                   java.io.IOException

      Specified by:
        `buildMessage` in interface `MessageHandler`
      Throws:
        `javax.xml.stream.XMLStreamException`
        `java.io.IOException`

    - #### buildMessage

          public void buildMessage(org.apache.axis2.context.MessageContext messageContext,
                                   boolean earlyBuild)
                            throws javax.xml.stream.XMLStreamException,
                                   java.io.IOException

      Specified by:
        `buildMessage` in interface `MessageHandler`
      Throws:
        `javax.xml.stream.XMLStreamException`
        `java.io.IOException`

    - #### isMessageBiggerThanBuffer

          public boolean isMessageBiggerThanBuffer(java.nio.channels.ReadableByteChannel src,
                                                   java.nio.channels.WritableByteChannel dest)
                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.